Subject: RE: bug#22300: 25.1.50; Dired -- renaming folders/files to CamelCase/UPPERCASE/lowercase.

From: Drew Adams <[email-masked]>
Date: Mon, 4 Jan 2016 08:15:19 -0800 (PST)

> > Okay.  But (1) he _is_ able to do it using `mv foo Foo', and
> > (2) MS Windows is also case-insensitive for files and folders,
> > and I can easily use `R' to rename a directory `foo' to `FOO',
> > and vice versa.  (Emacs asks me to confirm that I want to rename,
> > but that's all.)
> 
> For some value of "easily", yes.  On the C source level, Emacs works
> very hard (a.k.a. "jumps through hoops") to allow you doing that
> easily, and it does that only for MS-Windows and MS-DOS, whose
> filesystems are known to be case-insensitive.  OS X doesn't have that
> privilege.

Ah, so that's the bug, then.  Emacs does not know that OS X is
case-insensitive and it doesn't have code to special-case it as it
does for MS Windows.

> If OS X filesystems are always case-insensitive, perhaps the same code
> should also be compiled on that system.  If some of OS X filesystems
> are case-sensitive, we can only do that if Emacs can know which one is
> it.

That sounds right to me.